<?php
    require_once "./pdocontroller.php";
    if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
	if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
	if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
    if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
    if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
    if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
    if (isset($_REQUEST['campo'])){$campo=$_REQUEST['campo'];}else{$campo="";}
    if (isset($_REQUEST['condicion'])){$condicion=$_REQUEST['condicion'];}else{$condicion="";}
    if (isset($_REQUEST['fuente'])){$fuente=$_REQUEST['fuente'];}else{$fuente="";}

    $DBclase="PDOCONTROLLER";
    $DBconex=new $DBclase;
    $syseli="Eliminado";
    $chkinterno=0;

    $query="select chkint,listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";
    $parametros=array(":modulo"=>$modulo);
    
  
	try{
        $datos=$DBconex->executeconsulta($query,$parametros);
        $parametros=[];
        foreach($datos as $qdatos){
            $chkinterno=$qdatos["chkint"];//para consultas en bd miayuda
            switch ($accion) {
                case "i":
                    $query=$qdatos["sqlinit"];
                    break;
                case "t":
                        $query=$qdatos["sqltmp"];
                        break;
                case "s":
                    $query=$qdatos["sqlsearch"];

                    $valor=trim($valor);
                    
                    $query = str_replace("VVV", $valor, $query);    
                    break;

                case "r":
                        $query=$qdatos["sqlres"];
                        break;
                default:
                    if($qdatos["chkele"]==1){
                        $query=$qdatos["sqlele"]." and codemp= :codemp ";
                        $parametros[":codemp"]=$codemp;
                        $chkinterno=1;//porque si es electronica es interna
                        
                    }else{
                        $query=$qdatos["listasql"];
                    }
                    break;
            }
            
            
        }
     }catch(Exception $ex){
         echo $ex->getMessage();
    }
    if($modulo=='inf_pedidos'){
    //echo $query.$DBclase;
    }
 

    if($codemp!='' && $modulo!='modulo' && $rol!='empleado' && $codemp!='DND' && $chkinterno!=1){
        $DBclase="PDO".$codemp;
   
    }else{
        $DBclase="PDOCONTROLLER";
    }
    
    $DBconex=new $DBclase;

    
    //if($accion!='i'){}
    
    
    
    if($condicion!==''){
        $query=$query.$condicion;
        //echo $query.$modulo.$accion;
    }
    if($campo!='' && $valor!=='' && $accion='i'){
       $query=$query." and ".$campo."= :valor ";
       $parametros[":valor"]=$valor;
       
    }
    

    if($accion=="conse"){
        $query = "select * from actids where namdbf= :fuente ";
        $parametros=array(":fuente"=>$primaryVlr);
        echo uniqid();
        return;
        //return $this->mobiles;
    }
    

    //echo $query;
    
    try{
       //echo $query;
       //print_r($parametros);

       $datos=$DBconex->executeconsulta($query,$parametros);
       header("Content-Type: application/json");
       echo json_encode($datos);
       return;
       if(is_integer($datos)){
            echo "ocurrio un error";
        }else{
            if(isset($datos) && !empty($datos) && sizeof($datos)>0){
                foreach($datos as $qdatos){
                    echo $qdatos["titmod"].$qdatos["nombre"]."<br>";
                }
            }
        }
    }catch(Exception $ex){
        //echo $ex->getMessage();
        echo json_encode("ERROR ");
    }
    echo "final";     

?>